#exercicio 4.2 cervejas

#represente este resultado como um grfico de barras e um dotplot (funo dotchart)
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
chope <-length(cervejas[cervejas=="chope"])
lata <- length(cervejas[cervejas=="lata"])
garrafa <- length(cervejas[cervejas=="garrafa"])
nenhuma <- length(cervejas[cervejas=="nenhuma"])
cerj <- c(chope,lata,garrafa,nenhuma)   
barplot(cerj, names.arg = c("chope", "lata", "garrafa", "nenhuma"), xlab="Preferncias", ylab="Frequncias")

#segundo grafico dotchart
dotchart(cerj, labels = c("chope", "lata", "garrafa", "nenhuma"), xlab="Preferncias", ylab="Frequncias")

#o grafico dotchart tem maior razao dado/tinta. Ambos os graficos possuem a mesma quantidade de informacao, porm o dotchart possui menos tinta, logo a razo  maior.

#exercicio 4.3caixetais

#contrua um histograma do dap dos fustes dos caixetais
dap <- (caix$cap/pi)
hist(caix$dap)
#ou
hist(caix$cap/pi)

#construa histogramas da altura das rvores para os diferentes caixetais ('local')
table(caix$local)
chauas <- subset(caix, caix$local=="chauas")
hist(chauas$h)

jureia <- subset(caix, caix$local=="jureia")
hist(jureia$h)

retiro <- subset(caix, caix$local=="retiro")
hist(retiro$h)

#sim, existem diferenas. Em Chauas a altura dos caixetais amplia de 0 a 200m, com maior frequncia entre 50 e 150m. Em Retiro a altura dos caixetais amplia de 20 a 100 metros, com maior frequncia entre 40 e 80m. J em Jureia a altura a altura dos caixetais amplia de 0 a 150m com maior frequncia entre 50 e 100m. 

#4.4eucalipto

#boxplot do DAP de arvores E. grandis em funcao das variaveis: regiao e rotacao
boxplot(dap ~ rotacao, data=egr)
boxplot(dap ~ regiao, data=egr)

#avalie a normalidade da altura do conjunto total de arvores com grafico quantil-quantil contra a distribuicao normal
qqnorm(egr$h)
qqline(egr$h)
#os dados de altura se distanciam da linha de distribuicao normal.

#4.5mais caixetais (no consegui executar o exercicio!!!
#relacao dap-altura em funcao do caixetal (local) somente para arvores de caixeta Tabebuia cassinoides
#subset especie Tabebuia cassinoides
caixtc <- subset(caix, caix$especie =="Tabebuia cassinoides")
table(caix$local) #para ver o nome dos locais

#calculo da area basal
#primeiro criar coluna area basal - ab
ab <- pi*(caixtc$cap/(2*pi))^2

#calculo do dap
dap <- 2*sqrt(caixtc$ab/pi)

lista <- list(altura=caixtc$h, fuste=caixtc$fuste, local=caixtc$local) 

dap_arvore <- aggregate(dap,lista, FUN=sum) 

#locais fazer um subset
chauas <- subset(dap_arvore, dap_arvore$local =="chauas")
jureia <- subset(dap_arvore, dap_arvore$local =="jureia")
retiro <- subset(dap_arvore, dap_arvore$local =="retiro")

#plot
plot(x=chauas$x, y=chauas$h)#dap vira x na tabela no sei por que!!!
plot(x=jureia$x, y=jureia$h)
plot(x=retiro$x, y=retiro$h)


#funcao scatter.smooth
scatter.smooth(x=chauas$dap_arvore, y=chauas$h)
scatter.smooth(x=jureia$dap_arvore, y=jureia$h)
scatter.smooth(x=retiro$dap_arvore, y=retiro$h)

#pacote lattice
xyplot( h ~ x | local , data=dap_arvore)