#reamostragem
############################


#######exercicio1
eutad <- read.table("palmadulto.txt", header=T, sep="\t", as.is=T) #lendo tabela
tail(eutad)
dist <- matrix(NA, ncol=102, nrow=102) #para guardar a distncia observada
dist
for(i in 1:101) #distancia observada
    {
        for(j in (i+1):102)
            {
                difx2=(eutad$gx[i]-eutad$gx[j])^2
                dify2=(eutad$gy[i]-eutad$gy[j])^2
                dist[i,j]<-sqrt(difx2 + dify2)
                dist[j,i]<-sqrt(difx2 + dify2)
            }
          
    }
dist #ver dist

#vizinho mais prximo
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

#########simulando##########
#1.5. criar vetor resultado com 1000 NA's
resultado <- rep(NA, 1000)
resultado[1]<-mnn
#1.6. guarde o valor do resultado na primeira posio de resultados
resultado[1]<-mnn
#simulao
distsim <- matrix(NA, ncol=102, nrow=102) #para guardar a distncia simulada
for(k in 2:1000)
{
xsim <- runif(102, min=0, max=320)
ysim <- runif(102, min=0, max=320)
for(i in 1:101) 
    {
        for(j in (i+1):102)
            {
difxsim<-(xsim[i]-xsim[j])^2
difysim<-(ysim[i]-ysim[j])^2
distsim[i,j]<-sqrt(difxsim + difysim)
distsim[j,i]<-sqrt(difxsim + difysim)
}
}
resultado[k] = mean(apply(distsim, 1, min, na.rm=TRUE))
}   

#histograma 
hist(resultado)
abline(v=resultado[1], col="red")
abline(v=resultado[k], col="blue")
 
#calcular a probabilidade 
unicaudal=sum(resultado>=resultado[1])
unicaudal
p.uni=unicaudal/length(resultado)
p.uni
p.uni: 0.975 - resultado no significativo.

#####################
#exerccio 2 - simulando o teste de uma regresso linear
#2.1  Calcule a inclinao da relao log(brain) ~ log(body)
animais<-read.table("animais.txt",head=T,sep=";",dec=",") #lendo
animais <- na.exclude(animais) #excluir NA
animais #ver
animais$log.brain<-log(animais$brain) #log
animais$log.body<-log(animais$body) #log
###inclinao (somatrio dos mnimos quadrados)
mdbrain<-mean(animais$log.brain) #mdia
mdbody<-mean(animais$log.body) #mdia
b.ani <- sum((animais$log.body-mdbody)*(animais$log.brain-mdbrain))/(sum(animais$log.body-mdbody)^2)
#2.2. Crie um vetor para guardar o resultado de simulaes
anisim <- rep(NA, 1000) #NAs
#2.3. Guarde o valor observado no objeto criado em 2.2
anisim[1]<-b.ani #inclinao sendo armazenada
#2.4. Abra um ciclo de 2 a 1000
for(i in 2:1000) #ciclo com 1000 repeties
  {
    sim_brain <- sample(animais$log.brain) #desordenar
medsimb<-mean(sim_brain) #mdia do simulado
anisim[i] <- sum((sim_brain-medsimb)*(animais$log.body-mdbody))/(sum(sim_brain-medsimb)^2)
} #calular a inclinaao da reta e fechar o ciclo
#2.6. Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao
hist<-hist(anisim)
abline(v = anisim[1], col="red")
abline(v = anisim[i], col="blue")
#2.7.  Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes
n.maior <- sum(anisim)>=(anisim[1]) #test uni
p.uni <- n.maior/length(anisim)

#p: 0.001
#o valor de p indica que a inclinao da reta  diferente de zero
#existe uma relao de causa e efeito entre brain e body.